Bug 174229 - USB cable modem not detected by anaconda
USB cable modem not detected by anaconda
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-26 04:35 EST by Marius Andreiana
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-21 17:20:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of lsmod (2.25 KB, text/plain)
2005-12-01 00:39 EST, Marius Andreiana
no flags Details

  None (edit)
Description Marius Andreiana 2005-11-26 04:35:45 EST
The Scientific-Atlanta USB Cable Modem isn't detected by anaconda at
install-time. It only shows an internal network card as eth0. 

Expected results:
Anaconda shows both eth0 and eth1 network interfaces.

Additional info:
The modem is listed properly by s-c-n on Hardware tab. I've added eth1 device
manually.
Comment 1 Jeremy Katz 2005-11-26 17:14:59 EST
What driver does the device use?
Comment 2 Marius Andreiana 2005-11-27 02:06:22 EST
usbnet, here are some entries from /var/log/messages on FC4:

Nov 27 08:56:10 mariusa-ro kernel: usb 3-1: new full speed USB device using
uhci_hcd and address 2
Nov 27 08:56:10 mariusa-ro kernel: eth2: register usbnet at usb-0000:00:1d.1-1,
CDC Ethernet Device, 00:0a:73:f7:9e:40
Comment 3 Jeremy Katz 2005-11-30 22:16:58 EST
usbnet is just a driver framework, not the exact driver being used.
Comment 4 Marius Andreiana 2005-12-01 00:39:05 EST
Created attachment 121660 [details]
output of lsmod

Complete list of lsmod. Is the driver "mii" ? If not, how to find out what it
is? Thanks
Comment 5 Marius Andreiana 2006-03-26 12:37:17 EST
Still doesn't work on FC5 anaconda.
Comment 6 David Cantrell 2007-03-21 17:20:26 EDT
For USB cable modems, you need the usbnet and cdc_ether kernel modules.  We
lacked the cdc_ether.ko kernel module in the stage1 image.  Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.